#' Document database connector
#'
#' Supports NoSQL databases (Elasticsearch, CouchDB, MongoDB),
#' key-value databases (Redis), and other NoSQL types (etcd).
#'
#' @name nodbi-package
#' @aliases nodbi
#' @docType package
#' @author Scott Chamberlain \email{sckott@@protonmail.com}
#' @author Rich FitzJohn \email{rich.fitzjohn@@gmail.com}
#' @author Jeroen Ooms \email{jeroen.ooms@@stat.ucla.edu}
#' @keywords package
NULL

#' diamonds
#'
#' @format A data frame with 53940 rows and 10 variables:
#'
#' - price price in US dollars (\$326-\$18,823)
#' - carat weight of the diamond (0.2-5.01)
#' - cut quality of the cut (Fair, Good, Very Good, Premium, Ideal)
#' - color diamond colour, from J (worst) to D (best)
#' - clarity a measurement of how clear the diamond is (I1 (worst),
#'   SI1, SI2, VS1, VS2, VVS1, VVS2, IF (best))
#' - x length in mm (0-10.74)
#' - y width in mm (0-58.9)
#' - z depth in mm (0-31.8)
#' - depth total depth percentage = z / mean(x, y) = 2 * z / (x + y)
#'   (43-79)
#' - table width of top of diamond relative to widest point (43-95)
#'
#' @source from \pkg{ggplot2}
#' @name diamonds
#' @docType data
#' @keywords data
NULL
